Ranks
Creates a rank for a company
Creates a rank for the authenticated company. Both name and external_id are required, and external_id must be unique within the company: a duplicate returns 400. Requires a Bearer token with the ranks update permission.
POST
/
api
/
v202506
/
ranks
Creates a rank for a company
curl --request POST \
--url https://api.fluid.app/api/v202506/ranks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rank": {
"external_id": "rank-regional-manager",
"name": "Regional Manager"
}
}
'import requests
url = "https://api.fluid.app/api/v202506/ranks"
payload = { "rank": {
"external_id": "rank-regional-manager",
"name": "Regional Manager"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rank: {external_id: 'rank-regional-manager', name: 'Regional Manager'}})
};
fetch('https://api.fluid.app/api/v202506/ranks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3107,
"name": "Regional Manager",
"external_id": "rank-regional-manager",
"created_at": "2026-09-03T14:20:00Z",
"updated_at": "2026-09-03T14:20:00Z",
"meta": {
"request_id": "8c2f4e71-3b9a-4d6e-a1f5-7e0b9c3d2a48",
"timestamp": "2026-09-14T16:05:22Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I
Creates a rank for a company
